import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: 'statistics',
        loadChildren: () => import('./statistics/statistics.module').then(m => m.GitsearchStatisticsModule),
      },
      {
        path: 'user-watch-list',
        loadChildren: () => import('./user-watch-list/user-watch-list.module').then(m => m.GitsearchUserWatchListModule),
      },
      {
        path: 'watch-list-entry',
        loadChildren: () => import('./watch-list-entry/watch-list-entry.module').then(m => m.GitsearchWatchListEntryModule),
      },
      {
        path: 'saved-searches',
        loadChildren: () => import('./saved-searches/saved-searches.module').then(m => m.GitsearchSavedSearchesModule),
      },
      {
        path: 'likes',
        loadChildren: () => import('./likes/likes.module').then(m => m.GitsearchLikesModule),
      },
      /* jhipster-needle-add-entity-route - JHipster will add entity modules routes here */
    ]),
  ],
})
export class GitSearchV2EntityModule {}
