import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ActivatedRoute } from '@angular/router';
import { of } from 'rxjs';

import { GitsearchTestModule } from '../../../test.module';
import { UserWatchListDetailComponent } from 'app/entities/user-watch-list/user-watch-list-detail.component';
import { UserWatchList } from 'app/shared/model/user-watch-list.model';

describe('Component Tests', () => {
  describe('UserWatchList Management Detail Component', () => {
    let comp: UserWatchListDetailComponent;
    let fixture: ComponentFixture<UserWatchListDetailComponent>;
    const route = ({ data: of({ userWatchList: new UserWatchList(123) }) } as any) as ActivatedRoute;

    beforeEach(() => {
      TestBed.configureTestingModule({
        imports: [GitsearchTestModule],
        declarations: [UserWatchListDetailComponent],
        providers: [{ provide: ActivatedRoute, useValue: route }],
      })
        .overrideTemplate(UserWatchListDetailComponent, '')
        .compileComponents();
      fixture = TestBed.createComponent(UserWatchListDetailComponent);
      comp = fixture.componentInstance;
    });

    describe('OnInit', () => {
      it('Should load userWatchList on init', () => {
        // WHEN
        comp.ngOnInit();

        // THEN
        expect(comp.userWatchList).toEqual(jasmine.objectContaining({ id: 123 }));
      });
    });
  });
});
